#include <iostream>
using namespace std;

int main()
{
	int N, L;
	cin >> N;
	cin >> L;
	int H;
	bool a=false;
	for (int i = 0; i < N; i++) {
		cin >> H;
		if (H <= L) {
			cout << i+1;
			a = true;
			break;
			
		}
	}
	if (!a) {
		cout << -1;
	}
}